Support » Plugin: Simple Pagination » PHP 7 Compatibility Warnings

  • Hi, we’re preparing to update to PHP 7, and I’m running preliminary checks of our code using the PHP Compatibility Checker plugin. Simple Pagination is throwing several warnings when tested with PHP 7.2. We’re dropping the plugin since it seems to have been abandoned, but I’m reporting this FWIW. The details are below:

    FILE: [path redacted]/wp-content/plugins/simple-pagination/simple-pagination.php
    ———————————————————————–
    FOUND 0 ERRORS AND 4 WARNINGS AFFECTING 4 LINES
    ———————————————————————–
    44 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    417 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    418 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    419 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    ———————————————————————–

  • The topic ‘PHP 7 Compatibility Warnings’ is closed to new replies.